/*
** mg_vec_ptr.c for  in 
** 
** Made by vianney rancurel
** Login   <vianney@epita.fr>
** 
** Started on  Wed Aug 25 16:26:38 1999 vianney rancurel
** Last update Thu Oct 28 20:15:24 1999 
*/
#include "mg.h"

/* frees all pointers of a pool without destroying the structure.
   The vector is then empty and reusable. */
VOID_FUNC	vec_ptr_destroy(vec_ptr)
t_vec		*vec_ptr;
{
  VEC_FOR(vec_ptr,VOID_PTR ptr)
    {
      vec_ptr->free_proc(ptr,
			 vec_ptr->comment,
			 "*:ptr");
    }
  VEC_ENDFOR;
  vec_destroy(vec_ptr);
}

/* frees all pointers of a pool and destroys the structure.*/
VOID_FUNC	vec_ptr_delete(vec_ptr)
t_vec		*vec_ptr;
{
  vec_ptr_destroy(vec_ptr);
  vec_delete(vec_ptr);
}
